com.microfocus.awm.meta.interfaces

## Enum ETableMode

- java.lang.Object
- - java.lang.Enum<ETableMode>
  - - com.microfocus.awm.meta.interfaces.ETableMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ETableMode>, org.eclipse.emf.common.util.Enumerator

      public enum ETableMode
      extends java.lang.Enum<ETableMode>
      implements org.eclipse.emf.common.util.Enumerator

  Enumeration class for the selection type in a table: DISPLAYONLY, SELECTONE, SELECTMULTI, WHOLETABLE
  See Also:
    `TaurusPackage.getETableMode()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISPLAYONLY` The 'DISPLAYONLY' literal object.
    `SELECTMULTI` The 'SELECTMULTI' literal object.
    `SELECTONE` The 'SELECTONE' literal object.
    `WHOLETABLE` The 'WHOLETABLE' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DISPLAYONLY_VALUE` The 'DISPLAYONLY' literal value.
    `static int` | `SELECTMULTI_VALUE` The 'SELECTMULTI' literal value.
    `static int` | `SELECTONE_VALUE` The 'SELECTONE' literal value.
    `static java.util.List<ETableMode>` | `VALUES` A public read-only list of all the 'ETable Mode' enumerators.
    `static int` | `WHOLETABLE_VALUE` The 'WHOLETABLE' literal value.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ETableMode` | `get(int value)` Returns the 'ETable Mode' literal with the specified integer value.
    `static ETableMode` | `get(java.lang.String literal)` Returns the 'ETable Mode' literal with the specified literal value.
    `static ETableMode` | `getByName(java.lang.String name)` Returns the 'ETable Mode' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ETableMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ETableMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISPLAYONLY

          public static final ETableMode DISPLAYONLY

      The 'DISPLAYONLY' literal object.
      See Also:
        `DISPLAYONLY_VALUE`

    - #### SELECTONE

          public static final ETableMode SELECTONE

      The 'SELECTONE' literal object.
      See Also:
        `SELECTONE_VALUE`

    - #### SELECTMULTI

          public static final ETableMode SELECTMULTI

      The 'SELECTMULTI' literal object.
      See Also:
        `SELECTMULTI_VALUE`

    - #### WHOLETABLE

          public static final ETableMode WHOLETABLE

      The 'WHOLETABLE' literal object.
      See Also:
        `WHOLETABLE_VALUE`

  - ### Field Detail

    - #### DISPLAYONLY_VALUE

          public static final int DISPLAYONLY_VALUE

      The 'DISPLAYONLY' literal value.
      See Also:
        `DISPLAYONLY`, Constant Field Values

    - #### SELECTONE_VALUE

          public static final int SELECTONE_VALUE

      The 'SELECTONE' literal value.
      See Also:
        `SELECTONE`, Constant Field Values

    - #### SELECTMULTI_VALUE

          public static final int SELECTMULTI_VALUE

      The 'SELECTMULTI' literal value.
      See Also:
        `SELECTMULTI`, Constant Field Values

    - #### WHOLETABLE_VALUE

          public static final int WHOLETABLE_VALUE

      The 'WHOLETABLE' literal value.
      See Also:
        `WHOLETABLE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<ETableMode> VALUES

      A public read-only list of all the 'ETable Mode' enumerators.

  - ### Method Detail

    - #### values

          public static ETableMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ETableMode c : ETableMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ETableMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ETableMode get(java.lang.String literal)

      Returns the 'ETable Mode' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static ETableMode getByName(java.lang.String name)

      Returns the 'ETable Mode' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static ETableMode get(int value)

      Returns the 'ETable Mode' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ETableMode>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.